classification
Title: Definition of multiple ']' in header configparser
Type: behavior Stage: resolved
Components: Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: @mark99i, Jason.Killen, cheryl.sabella, lukasz.langa, miss-islington
Priority: normal Keywords: patch

Created on 2019-11-08 06:07 by @mark99i, last changed 2021-07-13 14:36 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17129 merged Jason.Killen, 2019-11-12 18:47
PR 27110 merged miss-islington, 2021-07-13 13:54
Messages (5)
msg356225 - (view) Author: Mark (@mark99i) * Date: 2019-11-08 06:07
in example header is "[i love [python] lang]"
parse as "i love [python", only up to the first character ']'.

now saving works correctly, but reading does not
msg369737 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-05-23 18:33
@lukasz.langa, please take a look at the PR for a review.  Thank you!
msg397400 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-13 13:54
New changeset 2924bb1a566977efd45f335d6a94cd84d8047edf by jsnklln in branch 'main':
bpo-38741: Definition of multiple ']' in header configparser (GH-17129)
https://github.com/python/cpython/commit/2924bb1a566977efd45f335d6a94cd84d8047edf
msg397409 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-13 14:35
New changeset 1cc6769e4146951d47528a97e56ba1e8e9ee7fc1 by Miss Islington (bot) in branch '3.10':
bpo-38741: Definition of multiple ']' in header configparser (GH-17129) (#27110)
https://github.com/python/cpython/commit/1cc6769e4146951d47528a97e56ba1e8e9ee7fc1
msg397410 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-13 14:36
Since I got to this only now, we can include the fix in main (3.11) and 3.10. It's too late in the cycle for 3.9.
History
Date User Action Args
2021-07-13 14:36:28lukasz.langasetstatus: open -> closed
versions: + Python 3.11, - Python 3.9
messages: + msg397410

resolution: fixed
stage: patch review -> resolved
2021-07-13 14:35:37lukasz.langasetmessages: + msg397409
2021-07-13 13:54:36miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25657
2021-07-13 13:54:17lukasz.langasetmessages: + msg397400
2020-05-23 18:33:45cheryl.sabellasetnosy: + cheryl.sabella, lukasz.langa

messages: + msg369737
versions: + Python 3.9, Python 3.10, - Python 3.7
2019-12-04 02:57:02Jason.Killensetnosy: + Jason.Killen
2019-11-12 18:47:51Jason.Killensetkeywords: + patch
stage: patch review
pull_requests: + pull_request16638
2019-11-08 06:07:52@mark99icreate